FinWise API
SupportChangelog

The tag object

Attributes

idstring
Unique identifier for the tag.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
namestring
Tag name.
emojinullable string
Emoji.
colornullable string
Hex color.
excludeTransactionsFromBudgetnullable boolean
Exclude tagged transactions from budgets.
GET/transaction-tags
curl https://api.finwiseapp.io/transaction-tags \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/transaction-tags', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
The tag object
[
{
"id": "e5ee2dcf-e45a-5190-be74-c0a032577767",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Reimbursable",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"color": "#f59e0b",
"emoji": "🔁",
"excludeTransactionsFromBudget": null
}
]